commit: c755f6ea42513e2f3bfbc892dba1a8270d3f43a3
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 14 06:31:58 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon Jun 14 06:51:01 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c755f6ea
dev-python/dill: Bump to 0.3.4
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/dill/Manifest | 1 +
dev-python/dill/dill-0.3.4.ebuild | 30 ++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/dev-python/dill/Manifest b/dev-python/dill/Manifest
index 3a0452ee3da..5166b150912 100644
--- a/dev-python/dill/Manifest
+++ b/dev-python/dill/Manifest
@@ -1 +1,2 @@
DIST dill-0.3.3.gh.tar.gz 149103 BLAKE2B
b08830ad1eb47ceb29c6be6ae88ab38338d9a8a325188bc3890b71c7f393792988da4962819f9b82bf7ad9ebd668c96989ef8c55072a2c82483660c4ec01d072
SHA512
bb514c37902412380d99f38293d5cb9d3d6a6643a34e59e6e889c89d845f9b83e9fa3fa9f0a75218575aa56670f287144f2b00abc8359b5fc6cb450351b43b68
+DIST dill-0.3.4.gh.tar.gz 152875 BLAKE2B
61c638f0459b94f5cc0dabd9d5fd224c3c010ab6ccc9b7e47943922e7e139bd74c7a5173657febb028fc79632792f807586e271316ad87bb505520163f85a300
SHA512
1b1991909a9782382ecdb2ada13249c8b446d3558de69501280c816f7cd6c6728f9d3303c826461245ab9e42c43c02e4605142f25e09244bb7ccc9ca68a4b565
diff --git a/dev-python/dill/dill-0.3.4.ebuild
b/dev-python/dill/dill-0.3.4.ebuild
new file mode 100644
index 00000000000..ad2d9fcfa59
--- /dev/null
+++ b/dev-python/dill/dill-0.3.4.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Serialize all of python (almost)"
+HOMEPAGE="https://pypi.org/project/dill/"
+SRC_URI="
+ https://github.com/uqfoundation/dill/archive/${P}.tar.gz
+ -> ${P}.gh.tar.gz"
+S=${WORKDIR}/${PN}-${P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+
+python_test() {
+ local fail= t
+ for t in tests/test_*.py; do
+ ebegin "\t${t}"
+ "${EPYTHON}" "${t}"
+ eend || fail=1
+ done
+
+ [[ ${fail} ]] && die "Tests fail with ${EPYTHON}"
+}